Billing Phases¶
List All Billing Phases¶
GET /api/admin/billing_plans/{billing_plan_id}/billing_resources/{billing_resource_id}/billing_phases
Schema
billing_phases: Arrayid: Integerbilling_resource_id: Integerphase_type: Stringduration_unit: Stringduration_qty: Integercreated_at: DateTimeupdated_at: DateTime
View Billing Phase¶
GET /api/admin/billing_plans/{billing_plan_id}/billing_resources/{billing_resource_id}/billing_phases/{id}
Schema
billing_phase: Objectid: Integerbilling_resource_id: Integerphase_type: Stringduration_unit: Stringduration_qty: Integercreated_at: DateTimeupdated_at: DateTime
Update Billing Phase¶
PATCH /api/admin/billing_plans/{billing_plan_id}/billing_resources/{billing_resource_id}/billing_phases/{id}
Schema
billing_phase: Objectphase_type: Stringduration_unit: Stringduration_qty: Integer
Create Billing Phase¶
POST /api/admin/billing_plans/{billing_plan_id}/billing_resources/{billing_resource_id}/billing_phases
Schema
billing_phase: Objectphase_type: Stringduration_unit: Stringduration_qty: Integer
Delete Billing Phase¶
DELETE /api/admin/billing_plans/{billing_plan_id}/billing_resources/{billing_resource_id}/billing_phases/{id}